import 'dart:async';

import 'package:speedq_net/entities/WSMessage.dart';
import 'package:speedq_net/src/util/json.dart';
import 'package:web_socket_channel/web_socket_channel.dart';

class WSClient {
    static final WSClient _client = WSClient();
    late WebSocketChannel _channel;
    late Stream _stream;

    void connect(String id) {
        _channel = WebSocketChannel.connect(Uri.parse("ws://skipdq.herokuapp.com"));
        // open connection
        _stream = _channel.stream.asBroadcastStream();
        _stream.listen((event) {});
        // send user id to server
        _channel.sink.add("{"
            "\"message\": \"registerSocket\","
            "\"id\": \"$id\""
            "}");
    }

    StreamSubscription listen(void Function(WSMessage) listener) => _stream.listen((data) => listener(create(data)));

    static WSClient getClient() => _client;
}