import 'dart:convert';
import 'package:hive/hive.dart';

import 'package:speedq_net/src/util/JsonReflector.dart';

part 'Customer.g.dart';

///represents a customer
@reflector
@HiveType(typeId: 7)
class Customer {
  @HiveField(0)
  late String id;

  @HiveField(1)
  late String name;

  @HiveField(2)
  late String email;

  @HiveField(3)
  late String password;

  @HiveField(4)
  late String salt;

  @HiveField(5)
  late String phone;

  @HiveField(6)
  late String school;

  @HiveField(7)
  late String foodCourt;

  @HiveField(8)
  late String walletBalance;

  Customer(this.id, this.name, this.email, this.password, this.salt, this.phone,
      this.school, this.foodCourt, this.walletBalance);

  Customer.fromJson(String json) {
    Map<String, dynamic> map = jsonDecode(json);
    id = map["id"];
    name = map["name"];
    email = map["email"];
    password = map["password"];
    salt = map["salt"];
    phone = map["phone"];
    school = map["school"];
    foodCourt = map["fc"];
    walletBalance = map["wallet"];
  }
}
