import 'dart:convert';
import 'package:hive/hive.dart';

import 'package:speedq_net/entities/Entity.dart';
import 'package:speedq_net/src/util/JsonReflector.dart';

part 'MenuItem.g.dart';

@reflector
@HiveType(typeId: 2)
class MenuItem {
  @HiveField(0)
  late String id;

  @HiveField(1)
  late String name;

  @HiveField(2)
  late double price;

  @HiveField(3)
  late String status;

  @HiveField(4)
  late String image;

  @HiveField(5)
  late String stallId;

  @HiveField(6)
  String? stallName;

  @HiveField(7)
  bool? isFavourited;

  MenuItem(this.id, this.name, this.price, this.status, this.image, this.stallId, this.stallName, this.isFavourited){
    isFavourited = isFavourited ?? false;
  }

  MenuItem.fromJson(String json) {
    Map<String, dynamic> map = jsonDecode(json);
    id = map["id"];
    name = map["name"];
    price = map["price"] is int ? (map["price"] as int).toDouble() : map["price"];
    status = map["status"];
    image = map["image"];
    stallId = map["stall_id"];
  }

  MenuItem.fromJsonMap(Map json) {
    id = json["id"];
    name = json["name"];
    price =  json["price"] is int ? (json["price"] as int).toDouble() : json["price"];
    status = json["status"];
    image = json["image"];
    stallId = json["stall_id"];
  }
}
