import 'dart:convert';

import 'package:speedq_net/src/util/JsonReflector.dart';

@reflector
class OrderItem {
    late String id;
    late String itemId;
    late String orderId;
    late String name;
    late Selections selections;
    late String specialInstructions;
    late int quantity;
    late double amount;

    OrderItem.fromJson(String json) {
        Map<String, dynamic> map = jsonDecode(json);
        id = map["id"];
        itemId = map["item_id"];
        orderId = map["order_id"];
        name = map["name"];
        selections = Selections.fromJson(map["selections"]);
        specialInstructions = map["special_instructions"];
        quantity = map["quantity"];
        amount = map["amount"] is int ? (map["amount"] as int).toDouble() : map["amount"];
    }

    OrderItem.fromJsonMap(Map json) {
        id = json["id"];
        itemId = json["item_id"];
        orderId = json["order_id"];
        name = json["name"];
        selections = Selections.fromJson(json["selections"]);
        specialInstructions = json["special_instructions"];
        quantity = json["quantity"];
        amount = json["amount"] is int ? (json["amount"] as int).toDouble() : json["amount"];
    }

    String toJson() {
        String result = "{";
        // todo
        return result;
    }
}

class Selections {
    late double price;
    late List<String> selections;
    
    Selections.fromJson(String json) {
        Map<String, dynamic> map = jsonDecode(json);
        price = map["price"];
        selections = (map["selections"] as List<dynamic>).map((e) => e.toString()).toList();
    }

    String toJson() {
        // todo
        return "";
    }
}