import 'dart:convert';
import 'package:speedq_net/src/util/JsonReflector.dart';

@reflector
class SearchStall {

  late String id;
  late String name;
  late String email;
  late String password;
  late String salt;
  late String phone;
  late String foodCourtId;
  late String image;
  late int status;
  late bool styrofoam;
  late _FoodCourt foodCourt;

  SearchStall.fromJson(String json) {
    Map<String, dynamic> map = jsonDecode(json);
    id = map["id"];
    name = map["name"];
    email = map["email"];
    password = map["password"];
    salt = map["salt"];
    phone = map["phone"];
    foodCourtId = map["food_court_id"];
    image = map["image"];
    status = map["status"];
    styrofoam = map["styrofoam"];
    foodCourt = _FoodCourt.fromJson(map["food_court"]);
  }

  SearchStall.fromJsonMap(Map json) {
    id = json["id"];
    name = json["name"];
    email = json["email"];
    password = json["password"];
    salt = json["salt"];
    phone = json["phone"];
    foodCourtId = json["food_court_id"];
    image = json["image"];
    status = json["status"];
    styrofoam = json["styrofoam"];
    foodCourt = _FoodCourt.fromJson(json["food_court"]);
  }

}

class _FoodCourt {
  late String name;

  _FoodCourt.fromJson(Map json) {
    name = json["name"];
  }
}