import 'dart:convert';

import 'package:hive/hive.dart';
import 'package:speedq_net/src/util/JsonReflector.dart';

part 'Stall.g.dart';

@reflector
@HiveType(typeId: 9)
class Stall {
    @HiveField(0)
    late String id;

    @HiveField(1)
    late String name;

    @HiveField(2)
    late String email;

    @HiveField(3)
    late String password;

    @HiveField(4)
    late String salt;

    @HiveField(5)
    late String phone;

    @HiveField(6)
    late String foodCourtId;

    @HiveField(7)
    late String image;

    @HiveField(8)
    late int status;

    @HiveField(9)
    late bool styrofoam;


    Stall(this.id, this.name, this.email, this.password, this.salt, this.phone, this.foodCourtId, this.image, this.status, this.styrofoam);

  Stall.fromJson(String json) {
        Map<String, dynamic> map = jsonDecode(json);
        id = map["id"];
        name = map["name"];
        email = map["email"];
        password = map["password"];
        salt = map["salt"];
        phone = map["phone"];
        foodCourtId = map["food_court_id"];
        image = map["image"];
        status = map["status"];
        styrofoam = map["styrofoam"];
    }

    Stall.fromJsonMap(Map json) {
        id = json["id"];
        name = json["name"];
        email = json["email"];
        password = json["password"];
        salt = json["salt"];
        phone = json["phone"];
        foodCourtId = json["food_court_id"];
        image = json["image"];
        status = json["status"];
        styrofoam = json["styrofoam"];
    }
}