import 'dart:convert';

import 'package:speedq_net/src/util/JsonReflector.dart';

@reflector
class Transaction {
    late String id;
    late String customerId;
    late String fomoId;
    late String date;
    late double amount;

    Transaction.fromJson(String json) {
        Map<String, dynamic> map = jsonDecode(json);
        id = map["id"];
        customerId = map["cust_id"];
        fomoId = map["fomo"];
        date = map["date"];
        amount = map["amount"] is int ? (map["amount"] as int).toDouble() : map["amount"];
    }

    Transaction.fromJsonMap(Map json) {
        id = json["id"];
        customerId = json["cust_id"];
        fomoId = json["fomo"];
        date = json["date"];
        amount = json["amount"] is int ? (json["amount"] as int).toDouble() : json["amount"];
    }
}